sc::Int2eCCA(3)

NAME
sc::Int2eCCA -

Int2eCCA adapts CCA integrals components for use within SC.

SYNOPSIS

#include <int2e.h>

Inherits sc::RefCount.

  Public Member Functions
Int2eCCA (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, int order, size_t storage, IntegralEvaluatorFactory, bool, string)
double * buffer ()
void compute_erep (int is, int js, int ks, int ls)
void compute_erep_1der (int is, int js, int ks, int ls, Chemistry::QC::GaussianBasis::DerivCenters &dc)
int redundant () const
void set_redundant (int i)

  Protected Attributes
Integral * integral_

Detailed Description

Int2eCCA adapts CCA integrals components for use within SC. It is used by TwoBodyIntCCA and TwoBodyDerivIntCCA to implement the IntegralCCA class.

Author

Generated automatically by Doxygen for MPQC from the source code.